Subject: Re: [PATCH net 06/12] netfilter: nf_conntrack_expect: honor expectation helper field

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 5 May 2026 13:26:09 +0200

On Tue, May 05, 2026 at 01:01:22PM +0200, Ilya Maximets wrote:
> On 5/5/26 1:40 AM, Pablo Neira Ayuso wrote:
> > On Tue, May 05, 2026 at 01:16:05AM +0200, Pablo Neira Ayuso wrote:
> >> Thanks for the detailed report. It seems I changed the semantics of
> >> exp->helper, this used to be use to set a new helper for an expected
> >> connection, which is the case for sip and h323.
> >>
> >> Would this patch help address the issue you are observing?
> > 
> > Actually, this needs to set to NULL the new exp->assign_helper field,
> > see new patch, untested.
> 
> I ran this through OVS system tests and all passed.  So, this restores
> the old behavior, at least for FTP (we do not support sip/h323).  For
> that part:
> 
> Tested-by: Ilya Maximets <[email-masked]>

Thanks! I will be posting a format patch asap, I will keep you on Cc.